eval 'exec perl -S $0 ${1+"$@"}'  # -*-Mode:Perl; perl-indent-level:8-*-
if 0;
use POSIX;
use Env;  #Environment Variables

#
# Simple script to configure a single simulation run
#

$dir_rwp =  $GTNETS_HOME."/ietf/random_waypoint_manet";
$test="random_waypoint_manet";
$tag = "MPR";

#Basic config
$seed = 1;
$start_time=1800;
$stop_time=2700;
# no trace, etrace, osfpv3log, tag=args

#Data traffic config
$pktsize=40;
$pktrate=10;

#Scenario config
@num_nodes = (20);
$radio_range = 250;
$alpha = 0.5;
$grid_length = 500;
$pause_time = 1;
$velocity = 16;

#Mac config
$mac_protocol = 0;

#OSPFv3 config
$wireless_interface=2; # ptmp=1, manet=2
$wireless_flooding= 1; # broadcast=0, mpr= 1, sicds = 2
$HelloInterval = 2;
$DeadInterval = 6;
$RxmtInterval = 7;
$MinLSInterval = 5;
$MinLSArrival = 1;

#MPR MANET config
$PushbackInterval = 3500;
$AckInterval = 500;
$diff_hellos = ""; #"diff_hellos";

#OSPF-MPR MANET config
$topo_reduc = "TopoReduc";

#Tracing & logging support
#$trace = "trace";
#$etrace = "etrace";
#$ospfv3log = "ospfv3log";

foreach $num_nodes(@num_nodes) {
$cmd_input = " seed=".$seed." num_nodes=".$num_nodes.
             " tag=".$tag.".num_nodes=".$num_nodes.
             " pktrate=".$pktrate." pktsize=".$pktsize.
             " wireless_interface=".$wireless_interface.
             " wireless_flooding=".$wireless_flooding.
             " velocity=".$velocity." pause_time=".$pause_time.
             " radio_range=".$radio_range.
             " grid_length=".$grid_length.
             " HelloInterval=".$HelloInterval.
             " RxmtInterval=".$RxmtInterval.
             " DeadInterval=".$DeadInterval.
             " PushbackInterval=".$PushbackInterval.
             " AckInterval=".$AckInterval.
             " ".$diff_hellos.
             " ".$topo_reduc.
             " ".$trace.
             " ".$etrace.
             " ".$ospfv3log.
             " start_time=".$start_time." stop_time=".$stop_time;

system("$dir_rwp/$test-opt $cmd_input > $dir_rwp/$test-opt-$tag-num_nodes=$num_nodes.log");
}
