eval 'exec perl -S $0 ${1+"$@"}'  # -*-Mode:Perl; perl-indent-level:8-*-
if 0;
use POSIX;
use Env;  #Environment Variables

#
# Simple script to configure a single simulation run
#

$dir_rwp =  $GTNETS_HOME."/ietf/random_waypoint_manet";
$test="random_waypoint_manet";
$tag = "MPR";

#Basic config
$seed = 1;
$start_time=1800;
$stop_time=2700;
# no trace, etrace, osfpv3log, tag=args

#Data traffic config
$pktsize=40;
$pktrate=10;

#Scenario config
@num_nodes = (10,20,30,40,50,60,70);
$radio_range = 250;
$alpha = 0.5;
$grid_length = 500;
$pause_time = 40;
$velocity = 10;

#Mac config
$mac_protocol = 0;

#OSPFv3 config
$wireless_interface=2; # ptmp=1, manet=2
$wireless_flooding= 1; # broadcast=0, mpr= 1, sicds = 2
$HelloInterval = 2;
$DeadInterval = 6;
$RxmtInterval = 5;
$MinLSInterval = 5;
$MinLSArrival = 1;

#MPR MANET config
$PushbackInterval = 2000;
$AckInterval = 1800;
$diff_hellos = ""; #"diff_hellos";

foreach $num_nodes(@num_nodes) {
$cmd_input = " seed=".$seed." num_nodes=".$num_nodes.
             " tag=".$tag.".num_nodes=".$num_nodes.
             " pktrate=".$pktrate.
             " wireless_interface=".$wireless_interface.
             " wireless_flooding=".$wireless_flooding.
             " velocity=".$velocity.
             " radio_range=".$radio_range.
             " HelloInterval=".$HelloInterval.
             " RxmtInterval=".$RxmtInterval.
             " DeadInterval=".$DeadInterval.
             " PushbackInterval=".$PushbackInterval.
             " AckInterval=".$AckInterval.
             " ".$diff_hellos.
             " start_time=".$start_time." stop_time=".$stop_time;

system("$dir_rwp/$test-opt $cmd_input > $dir_rwp/$test-opt-$tag.log");
}
